#include<bits/stdc++.h>

using namespace std;

int main()
{
	double p,q,r,L,R,ans=0;
	cin >> p >> q >> r >> L >> R;
	for(int n=L;n<=R;n++) {
		if(ceil(n/p)+ceil(n/q)+ceil(n/r)<=n) ans++;
	}
	cout<<ans;
}